import sys
with open('text.dump', 'rb') as f:
    data = f.read()

addr = sys.argv[1]
addr = int(addr, 16)
addr -= 0x100000

range = sys.argv[2]
range = int(range)

res = ''.join(chr(ch ^ 0xa9) for ch in data[addr:addr+range])
print(f"{res!r}")
